--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_004_pos.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_004_pos.ksh	Wed Aug 31 16:20:35 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,27 +45,27 @@
 
 function cleanup
 {
-	[[ -e $propfile ]] && $RM -f $propfile
+	[[ -e $propfile ]] && rm -f $propfile
 
 	datasetexists $clone  && \
-		log_must $ZFS destroy $clone
+		log_must zfs destroy $clone
 	for snap in $fssnap $volsnap ; do
 		snapexists $snap && \
-			log_must $ZFS destroy $snap
+			log_must zfs destroy $snap
 	done
 
 	if [[ -n $globalzone ]] ; then
 		for pool in $TESTPOOL1 $TESTPOOL2 $TESTPOOL3; do
 			poolexists $pool && \
-				log_must $ZPOOL destroy -f $pool
+				log_must zpool destroy -f $pool
 		done
-		for file in `$LS $TESTDIR1/poolfile*`; do
-			$RM -f $file
+		for file in `ls $TESTDIR1/poolfile*`; do
+			rm -f $file
 		done
 	else
 		for fs in $TESTPOOL/$TESTFS1 $TESTPOOL/$TESTFS2 $TESTPOOL/$TESTFS3; do
 			datasetexists $fs && \
-				log_must $ZFS destroy -rf $fs
+				log_must zfs destroy -rf $fs
 		done
 	fi
 }
@@ -92,12 +92,12 @@
 
 #set user defined properties for $TESTPOOL
 for usrprop in ${usrprops[@]}; do
-	log_must $ZFS set $usrprop $TESTPOOL
+	log_must zfs set $usrprop $TESTPOOL
 done
 # create snapshot and clone in $TESTPOOL
-log_must $ZFS snapshot $fssnap
-log_must $ZFS clone $fssnap $clone
-log_must $ZFS snapshot $volsnap
+log_must zfs snapshot $fssnap
+log_must zfs clone $fssnap $clone
+log_must zfs snapshot $volsnap
 
 # collect datasets which can be set user defined properties
 usrpropds="$clone $fs"
@@ -120,31 +120,31 @@
 	(( i += 1 ))
 
 	if [[ -n $globalzone ]] ; then
-		log_must $MKFILE $FILESIZE ${file}$i
+		log_must mkfile $FILESIZE ${file}$i
 		eval pool=\$TESTPOOL$i
-		log_must $ZPOOL create $pool ${file}$i
+		log_must zpool create $pool ${file}$i
 	else
 		eval pool=$TESTPOOL/\$TESTFS$i
-		log_must $ZFS create $pool
+		log_must zfs create $pool
 	fi
 
 	#set user defined properties for testing
 	for usrprop in ${usrprops[@]}; do
-		log_must $ZFS set $usrprop $pool
+		log_must zfs set $usrprop $pool
 	done
 
 	#create datasets in pool
-	log_must $ZFS create $pool/$TESTFS
-	log_must $ZFS snapshot $pool/$TESTFS@$TESTSNAP
-	log_must $ZFS clone $pool/$TESTFS@$TESTSNAP $pool/$TESTCLONE
+	log_must zfs create $pool/$TESTFS
+	log_must zfs snapshot $pool/$TESTFS@$TESTSNAP
+	log_must zfs clone $pool/$TESTFS@$TESTSNAP $pool/$TESTCLONE
 
 	if [[ -n $globalzone ]] ; then
-		log_must $ZFS create -V $VOLSIZE $pool/$TESTVOL
+		log_must zfs create -V $VOLSIZE $pool/$TESTVOL
 	else
-		log_must $ZFS create $pool/$TESTVOL
+		log_must zfs create $pool/$TESTVOL
 	fi
 
-	ds=`$ZFS list -H -r -o name -t filesystem,volume $pool`
+	ds=`zfs list -H -r -o name -t filesystem,volume $pool`
 	usrpropds="$usrpropds $pool/$TESTFS $pool/$TESTCLONE $pool/$TESTVOL"
 	allds="$allds $pool/$TESTFS $pool/$TESTCLONE $pool/$TESTVOL \
 		$pool/$TESTFS@$TESTSNAP"
@@ -162,18 +162,18 @@
 typeset -i propnum=0
 typeset -i failflag=0
 while (( i < ${#opts[*]} )); do
-	[[ -e $propfile ]] && $RM -f $propfile
-	log_must eval "$ZFS get ${opts[i]} all >$propfile"
+	[[ -e $propfile ]] && rm -f $propfile
+	log_must eval "zfs get ${opts[i]} all >$propfile"
 
 	for ds in $allds; do
-		$GREP $ds $propfile >/dev/null 2>&1
+		grep $ds $propfile >/dev/null 2>&1
 		(( $? != 0 )) && \
 			log_fail "There is no property for" \
 				"dataset $ds in 'get all' output."
 
-		propnum=`$CAT $propfile | $AWK '{print $1}' | \
-			$GREP "${ds}$" | $WC -l`
-		ds_type=`$ZFS get -H -o value type $ds`
+		propnum=`cat $propfile | awk '{print $1}' | \
+			grep "${ds}$" | wc -l`
+		ds_type=`zfs get -H -o value type $ds`
 		case $ds_type in
 			filesystem )
 				(( propnum < fspropnum )) && \
@@ -208,7 +208,7 @@
 	typeset ds="$2"
 
 	for prop in ${commprops[*]}; do
-		ds=`$ZFS get -H -o name $prop`
+		ds=`zfs get -H -o name $prop`
 
 		[[ "$ds" != "$allds" ]] && \
 			log_fail "The result datasets are $ds, but all suitable" \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_005_neg.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_005_neg.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 
 #
@@ -81,10 +85,10 @@
 	for dst in ${dataset[@]}; do
 		for opt in $opts; do
 			for prop in $props; do
-				$ZFS get $opt $prop $dst > /dev/null 2>&1
+				zfs get $opt $prop $dst > /dev/null 2>&1
 				ret=$?
 				if [[ $ret == 0 ]]; then
-					log_fail "$ZFS get $opt $prop $dst " \
+					log_fail "zfs get $opt $prop $dst " \
 					    "unexpectedly succeeded."
 				fi
 			done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_006_neg.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_006_neg.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 
 #
@@ -52,7 +56,7 @@
 typeset -i i=0
 while (( i < ${#bad_combine[*]} ))
 do
-	log_mustnot eval "$ZFS get ${bad_combine[i]} >/dev/null"
+	log_mustnot eval "zfs get ${bad_combine[i]} >/dev/null"
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_007_neg.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_007_neg.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 
 #
@@ -52,7 +56,7 @@
 typeset -i i=0
 while (( i < ${#badargs[*]} ))
 do
-	log_mustnot eval "$ZFS get \"${badargs[i]}\" >/dev/null 2>&1"
+	log_mustnot eval "zfs get \"${badargs[i]}\" >/dev/null 2>&1"
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_008_pos.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_008_pos.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
 
@@ -53,7 +57,7 @@
 	usedbychildren usedbydataset usedbyrefreservation usedbysnapshots \
 	userquota@root groupquota@root userused@root groupused@root
 
-$ZFS upgrade -v > /dev/null 2>&1
+zfs upgrade -v > /dev/null 2>&1
 if [[ $? -eq 0 ]]; then
 	set -A all_props ${all_props[*]} version
 fi
@@ -81,7 +85,7 @@
 		(( depth_item = $RANDOM % ${#depth_options[@]} ))
 		for prop in $(gen_option_str "${props[*]}" "" "," $prop_numb)
 		do
-			log_must eval "$ZFS get -${depth_options[depth_item]} ${options[item]} $prop $dst > /dev/null 2>&1"
+			log_must eval "zfs get -${depth_options[depth_item]} ${options[item]} $prop $dst > /dev/null 2>&1"
 		done
 		(( i += 1 ))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_009_pos.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_009_pos.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
 
@@ -51,7 +55,7 @@
 	usedbychildren usedbydataset usedbyrefreservation usedbysnapshots \
 	userquota@root groupquota@root userused@root groupused@root
 
-$ZFS upgrade -v > /dev/null 2>&1
+zfs upgrade -v > /dev/null 2>&1
 if [[ $? -eq 0 ]]; then
 	set -A all_props ${all_props[*]} version
 fi
@@ -72,9 +76,9 @@
 		(( j+=1 ))
 	done
 	for prop in $(gen_option_str "${all_props[*]}" "" "," $prop_numb); do
-		log_must eval "$ZFS get -H -d $dp -o name $prop $DEPTH_FS > $DEPTH_OUTPUT"
-		log_must eval "$ZFS get -rH -o name $prop $DEPTH_FS | $EGREP -e '$eg_opt' > $EXPECT_OUTPUT"
-		log_must $DIFF $DEPTH_OUTPUT $EXPECT_OUTPUT
+		log_must eval "zfs get -H -d $dp -o name $prop $DEPTH_FS > $DEPTH_OUTPUT"
+		log_must eval "zfs get -rH -o name $prop $DEPTH_FS | egrep -e '$eg_opt' > $EXPECT_OUTPUT"
+		log_must diff $DEPTH_OUTPUT $EXPECT_OUTPUT
 	done
 	(( old_val=dp ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_010_neg.ksh	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_010_neg.ksh	Wed Aug 31 16:20:35 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
 
@@ -46,7 +50,7 @@
 typeset -i i=0
 while (( i < ${#badargs[*]} ))
 do
-	log_mustnot eval "$ZFS get -d ${badargs[i]} $TESTPOOL/$TESTFS >/dev/null 2>&1"
+	log_mustnot eval "zfs get -d ${badargs[i]} $TESTPOOL/$TESTFS >/dev/null 2>&1"
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_common.kshlib	Wed Aug 31 16:20:35 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -93,5 +97,5 @@
 	datasetexists $TESTPOOL/$TESTFS@$TESTSNAP && \
 		destroy_snapshot $TESTPOOL/$TESTFS@$TESTSNAP
 
-	[[ -e $TESTFILE0 ]] && log_must $RM $TESTFILE0
+	[[ -e $TESTFILE0 ]] && log_must rm $TESTFILE0
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib	Wed Aug 31 16:20:35 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib	Wed Aug 31 16:20:35 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 DEPTH_FS=$TESTPOOL/depth_fs
@@ -40,7 +44,7 @@
 	typeset -i i j k
 	typeset fslist
 
-	log_must $ZFS create $DEPTH_FS
+	log_must zfs create $DEPTH_FS
 
 	(( i=1 ))
 	while (( i<=MAX_DEPTH )); do
@@ -48,7 +52,7 @@
 			fslist=$DEPTH_FS
 		else
 			(( k=i-1 ))
-			fslist=$($ZFS list -rH -t filesystem -o name $DEPTH_FS|$GREP depth"$k"$)
+			fslist=$(zfs list -rH -t filesystem -o name $DEPTH_FS|grep depth"$k"$)
 			if (( $? != 0 )); then
 				log_fail "No depth$k filesystem"
 			fi
@@ -56,11 +60,11 @@
 		for fs in $fslist; do
 			(( j=1 ))
 			while (( j<=DS_COUNT )); do
-				log_must $ZFS create $fs/fs_"$j"_depth"$i"
+				log_must zfs create $fs/fs_"$j"_depth"$i"
 				if is_global_zone ; then
-					log_must $ZFS create -V 8M $fs/vol_"$j"_depth"$i"
+					log_must zfs create -V 8M $fs/vol_"$j"_depth"$i"
 				fi
-				log_must $ZFS snapshot $fs@snap_"$j"_depth"$i"
+				log_must zfs snapshot $fs@snap_"$j"_depth"$i"
 				(( j=j+1 ))
 			done
 		done
@@ -73,7 +77,7 @@
 #
 function depth_fs_cleanup
 {
-	log_must $ZFS destroy -rR $DEPTH_FS
+	log_must zfs destroy -rR $DEPTH_FS
 }
 
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_001_neg.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_001_neg.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,7 +49,7 @@
 		compressratio ratio mounted origin quota reservation \
 		reserv volsize volblocksize volblock"
 
-$ZFS upgrade -v > /dev/null 2>&1
+zfs upgrade -v > /dev/null 2>&1
 if [[ $? -eq 0 ]]; then
 	props_str="$props_str version"
 fi
@@ -62,7 +66,7 @@
 	while [[ $i -lt ${#prop[*]} ]]; do
 		orig_val=$(get_prop ${prop[i]} $obj)
 
-		log_mustnot $ZFS inherit ${prop[i]} $obj
+		log_mustnot zfs inherit ${prop[i]} $obj
 
 		new_val=$(get_prop ${prop[i]} $obj)
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_002_neg.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_002_neg.ksh	Wed Aug 31 16:20:36 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2011 by Delphix. All rights reserved.
+# Copyright (c) 2011, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 function cleanup
 {
 	if snapexists $TESTPOOL/$TESTFS@$TESTSNAP; then
-		log_must $ZFS destroy $TESTPOOL/$TESTFS@$TESTSNAP
+		log_must zfs destroy $TESTPOOL/$TESTFS@$TESTSNAP
 	fi
 }
 
@@ -60,7 +60,7 @@
     "aclinherit" "xattr" "copies"
 set -A illprops "recordsiz" "mountpont" "sharen" "compres" "atme" "blah"
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
 
 typeset -i i=0
 for ds in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL \
@@ -69,7 +69,7 @@
 	# zfs inherit should fail with bad options
 	for opt in ${badopts[@]}; do
 		for prop in ${props[@]}; do
-			log_mustnot eval "$ZFS inherit $opt $prop $ds \
+			log_mustnot eval "zfs inherit $opt $prop $ds \
 			    >/dev/null 2>&1"
 		done
 	done
@@ -76,16 +76,16 @@
 
 	# zfs inherit should fail with invalid properties
 	for prop in "${illprops[@]}"; do
-		log_mustnot eval "$ZFS inherit $prop $ds >/dev/null 2>&1"
-		log_mustnot eval "$ZFS inherit -r $prop $ds >/dev/null 2>&1"
+		log_mustnot eval "zfs inherit $prop $ds >/dev/null 2>&1"
+		log_mustnot eval "zfs inherit -r $prop $ds >/dev/null 2>&1"
 	done
 
 	# zfs inherit should fail with too many arguments
 	(( i = 0 ))
 	while (( i < ${#props[*]} -1 )); do
-		log_mustnot eval "$ZFS inherit ${props[(( i ))]} \
+		log_mustnot eval "zfs inherit ${props[(( i ))]} \
 				${props[(( i + 1 ))]} $ds >/dev/null 2>&1"
-		log_mustnot eval "$ZFS inherit -r ${props[(( i ))]} \
+		log_mustnot eval "zfs inherit -r ${props[(( i ))]} \
 				${props[(( i + 1 ))]} $ds >/dev/null 2>&1"
 
 		(( i = i + 2 ))
@@ -95,8 +95,8 @@
 
 # zfs inherit should fail with missing datasets
 for prop in ${props[@]}; do
-	log_mustnot eval "$ZFS inherit $prop >/dev/null 2>&1"
-	log_mustnot eval "$ZFS inherit -r $prop >/dev/null 2>&1"
+	log_mustnot eval "zfs inherit $prop >/dev/null 2>&1"
+	log_mustnot eval "zfs inherit -r $prop >/dev/null 2>&1"
 done
 
 log_pass "'zfs inherit' failed as expected when passing illegal arguments."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_003_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_inherit/zfs_inherit_003_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
@@ -44,7 +48,7 @@
 {
 	for ds in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL ; do
 		if snapexists $ds@$TESTSNAP; then
-			log_must $ZFS destroy $ds@$TESTSNAP
+			log_must zfs destroy $ds@$TESTSNAP
 		fi
 	done
 	cleanup_user_prop $TESTPOOL
@@ -57,9 +61,9 @@
         typeset prop_name=$(valid_user_property 10)
         typeset value=$(user_property_value 16)
 
-	log_must eval "$ZFS set $prop_name='$value' $ds"
+	log_must eval "zfs set $prop_name='$value' $ds"
 
-	log_must $ZFS snapshot $ds@$TESTSNAP
+	log_must zfs snapshot $ds@$TESTSNAP
 
 	typeset snapvalue=$(get_prop $prop_name $ds@$TESTSNAP)
 
@@ -69,9 +73,9 @@
 	fi
 
 	snapvalue=$(user_property_value 16)
-	log_must eval "$ZFS set $prop_name='$snapvalue' $ds@$TESTSNAP"
+	log_must eval "zfs set $prop_name='$snapvalue' $ds@$TESTSNAP"
 
-	log_must $ZFS inherit $prop_name $ds@$TESTSNAP
+	log_must zfs inherit $prop_name $ds@$TESTSNAP
 
 	snapvalue=$(get_prop $prop_name $ds@$TESTSNAP)
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib	Wed Aug 31 16:20:36 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.cfg
 
@@ -33,7 +37,7 @@
 
 	ismounted $dev
 	if (( $? == 0 )); then
-		log_must $ZFS $unmountforce $dev
+		log_must zfs $unmountforce $dev
 	fi
 	return 0
 }
@@ -74,19 +78,19 @@
 	datasetexists $pool/$fs && \
 		log_must cleanup_filesystem $pool $fs
 
-	$RMDIR $mntpoint > /dev/null 2>&1
+	rmdir $mntpoint > /dev/null 2>&1
 	if [[ ! -d $mntpoint ]]; then
-		log_must $MKDIR -p $mntpoint
+		log_must mkdir -p $mntpoint
 	fi
 
 	case "$type" in
-		'ctr')	log_must $ZFS create $pool/$fs
-			log_must $ZFS set mountpoint=$mntpoint $pool/$fs
+		'ctr')	log_must zfs create $pool/$fs
+			log_must zfs set mountpoint=$mntpoint $pool/$fs
 			;;
-		'vol')	log_must $ZFS create -V $VOLSIZE $pool/$fs
+		'vol')	log_must zfs create -V $VOLSIZE $pool/$fs
 			;;
-		*)	log_must $ZFS create $pool/$fs
-			log_must $ZFS set mountpoint=$mntpoint $pool/$fs
+		*)	log_must zfs create $pool/$fs
+			log_must zfs set mountpoint=$mntpoint $pool/$fs
 			;;
 	esac
 
@@ -107,10 +111,10 @@
 
 	if datasetexists "$pool/$fs" ; then
 		mtpt=$(get_prop mountpoint "$pool/$fs")
-		log_must $ZFS destroy -r $pool/$fs
+		log_must zfs destroy -r $pool/$fs
 
 		[[ -d $mtpt ]] && \
-			log_must $RM -rf $mtpt
+			log_must rm -rf $mtpt
 	else
 		return 1
 	fi
@@ -124,7 +128,7 @@
 {
 	typeset fs
 
-	for fs in $($ZFS $mountcmd | $AWK '{print $1}') ; do
+	for fs in $(zfs $mountcmd | awk '{print $1}') ; do
 		log_must mounted $fs
 	done
 	return 0
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_001_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_001_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -47,7 +51,7 @@
 	return 0
 }
 
-log_assert "Verify that '$ZFS $mountcmd <filesystem>' succeeds as root."
+log_assert "Verify that 'zfs $mountcmd <filesystem>' succeeds as root."
 
 log_onexit cleanup
 
@@ -54,10 +58,10 @@
 unmounted $TESTPOOL/$TESTFS || \
 	log_must cleanup
 
-log_must $ZFS $mountcmd $TESTPOOL/$TESTFS
+log_must zfs $mountcmd $TESTPOOL/$TESTFS
 
 log_note "Make sure the filesystem $TESTPOOL/$TESTFS is mounted"
 mounted $TESTPOOL/$TESTFS || \
 	log_fail Filesystem $TESTPOOL/$TESTFS is unmounted
 
-log_pass "'$ZFS $mountcmd <filesystem>' succeeds as root."
+log_pass "'zfs $mountcmd <filesystem>' succeeds as root."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_002_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_002_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -50,7 +54,7 @@
 }
 
 
-log_assert "Verify that '$ZFS $mountcmd' with a filesystem " \
+log_assert "Verify that 'zfs $mountcmd' with a filesystem " \
 	"whose name is not in 'zfs list' will fail with return code 1."
 
 log_onexit cleanup
@@ -57,13 +61,13 @@
 
 log_note "Make sure the filesystem $TESTPOOL/$NONEXISTFSNAME " \
 	"is not in 'zfs list'"
-log_mustnot $ZFS list $TESTPOOL/$NONEXISTFSNAME
+log_mustnot zfs list $TESTPOOL/$NONEXISTFSNAME
 
 typeset -i ret=0
-$ZFS $mountcmd $TESTPOOL/$NONEXISTFSNAME
+zfs $mountcmd $TESTPOOL/$NONEXISTFSNAME
 ret=$?
 (( ret == 1 )) || \
-	log_fail "'$ZFS $mountcmd $TESTPOOL/$NONEXISTFSNAME' " \
+	log_fail "'zfs $mountcmd $TESTPOOL/$NONEXISTFSNAME' " \
 		"unexpected return code of $ret."
 
 log_note "Make sure the filesystem $TESTPOOL/$NONEXISTFSNAME is unmounted"
@@ -70,5 +74,5 @@
 unmounted $TESTPOOL/$NONEXISTFSNAME || \
 	log_fail Filesystem $TESTPOOL/$NONEXISTFSNAME is mounted
 
-log_pass "'$ZFS $mountcmd' with a filesystem " \
+log_pass "'zfs $mountcmd' with a filesystem " \
 	"whose name is not in 'zfs list' failed with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_003_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_003_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -46,12 +50,12 @@
 
 function cleanup
 {
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	log_must force_unmount $TESTPOOL/$TESTFS
 	return 0
 }
 
-log_assert "Verify that '$ZFS $mountcmd' with a filesystem " \
+log_assert "Verify that 'zfs $mountcmd' with a filesystem " \
 	"whose mountpoint property is 'legacy' or 'none' " \
 	"will fail with return code 1."
 
@@ -66,12 +70,12 @@
 	unmounted $TESTPOOL/$TESTFS || \
 		log_must cleanup
 
-	log_must $ZFS set mountpoint=${mopt[i]} $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=${mopt[i]} $TESTPOOL/$TESTFS
 
-	$ZFS $mountcmd $TESTPOOL/$TESTFS
+	zfs $mountcmd $TESTPOOL/$TESTFS
 	ret=$?
 	(( ret == 1)) || \
-		log_fail "'$ZFS $mountcmd $TESTPOOL/$TESTFS' " \
+		log_fail "'zfs $mountcmd $TESTPOOL/$TESTFS' " \
 			"unexpected return code of $ret."
 
 	log_note "Make sure the filesystem $TESTPOOL/$TESTFS is unmounted"
@@ -81,6 +85,6 @@
 	((i = i + 1))
 done
 
-log_pass "Verify that '$ZFS $mountcmd' with a filesystem " \
+log_pass "Verify that 'zfs $mountcmd' with a filesystem " \
 	"whose mountpoint property is 'legacy' or 'none' " \
 	"will fail with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_004_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_004_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -52,7 +56,7 @@
 
 typeset -i ret=0
 
-log_assert "Verify that '$ZFS $mountcmd <filesystem>' " \
+log_assert "Verify that 'zfs $mountcmd <filesystem>' " \
 	"with a mounted filesystem will fail with return code 1."
 
 log_onexit cleanup
@@ -60,15 +64,15 @@
 unmounted $TESTPOOL/$TESTFS || \
 	log_must cleanup
 
-log_must $ZFS $mountcmd $TESTPOOL/$TESTFS
+log_must zfs $mountcmd $TESTPOOL/$TESTFS
 
 mounted $TESTPOOL/$TESTFS || \
 	log_unresolved "Filesystem $TESTPOOL/$TESTFS is unmounted"
 
-$ZFS $mountcmd $TESTPOOL/$TESTFS
+zfs $mountcmd $TESTPOOL/$TESTFS
 ret=$?
 (( ret == 1 )) || \
-	log_fail "'$ZFS $mountcmd $TESTPOOL/$TESTFS' " \
+	log_fail "'zfs $mountcmd $TESTPOOL/$TESTFS' " \
 		"unexpected return code of $ret."
 
 log_note "Make sure the filesystem $TESTPOOL/$TESTFS is mounted"
@@ -75,5 +79,5 @@
 mounted $TESTPOOL/$TESTFS || \
 	log_fail Filesystem $TESTPOOL/$TESTFS is unmounted
 
-log_pass "'$ZFS $mountcmd <filesystem>' with a mounted filesystem " \
+log_pass "'zfs $mountcmd <filesystem>' with a mounted filesystem " \
 	"will fail with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_005_pos.ksh	Wed Aug 31 16:20:36 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_005_pos.ksh	Wed Aug 31 16:20:36 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -47,7 +51,7 @@
 
 function cleanup
 {
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	log_must force_unmount $TESTPOOL/$TESTFS
 	return 0
 }
@@ -54,7 +58,7 @@
 
 typeset -i ret=0
 
-log_assert "Verify that '$ZFS $mountcmd' with a filesystem " \
+log_assert "Verify that 'zfs $mountcmd' with a filesystem " \
 	"whose mountpoint is currently in use will fail with return code 1."
 
 log_onexit cleanup
@@ -63,15 +67,15 @@
 	log_must cleanup
 
 [[ -d $TESTDIR ]] || \
-	log_must $MKDIR -p $TESTDIR
+	log_must mkdir -p $TESTDIR
 
 cd $TESTDIR || \
 	log_unresolved "Unable change directory to $TESTDIR"
 
-$ZFS $mountcmd $TESTPOOL/$TESTFS
+zfs $mountcmd $TESTPOOL/$TESTFS
 ret=$?
 (( ret == 1 )) || \
-	log_fail "'$ZFS $mountcmd $TESTPOOL/$TESTFS' " \
+	log_fail "'zfs $mountcmd $TESTPOOL/$TESTFS' " \
 		"unexpected return code of $ret."
 
 log_note "Make sure the filesystem $TESTPOOL/$TESTFS is unmounted"
@@ -78,5 +82,5 @@
 unmounted $TESTPOOL/$TESTFS || \
 	log_fail Filesystem $TESTPOOL/$TESTFS is mounted
 
-log_pass "'$ZFS $mountcmd' with a filesystem " \
+log_pass "'zfs $mountcmd' with a filesystem " \
 	"whose mountpoint is currently in use failed with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_006_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_006_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -53,8 +57,8 @@
 		cleanup_filesystem $TESTPOOL $TESTFS1
 
 	[[ -d $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+		log_must rm -rf $TESTDIR
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	log_must force_unmount $TESTPOOL/$TESTFS
 
 	return 0
@@ -62,7 +66,7 @@
 
 typeset -i ret=0
 
-log_assert "Verify that '$ZFS $mountcmd <filesystem>' " \
+log_assert "Verify that 'zfs $mountcmd <filesystem>' " \
 	"which mountpoint be the identical or the top of an existing one " \
 	"will fail with return code 1."
 
@@ -72,7 +76,7 @@
 	log_must force_unmount $TESTPOOL/$TESTFS
 
 [[ -d $TESTDIR ]] && \
-	log_must $RM -rf $TESTDIR
+	log_must rm -rf $TESTDIR
 
 typeset -i MAXDEPTH=3
 typeset -i depth=0
@@ -83,13 +87,13 @@
 	(( depth = depth + 1))
 done
 
-log_must $ZFS set mountpoint=$mtpt $TESTPOOL/$TESTFS
-log_must $ZFS $mountcmd $TESTPOOL/$TESTFS
+log_must zfs set mountpoint=$mtpt $TESTPOOL/$TESTFS
+log_must zfs $mountcmd $TESTPOOL/$TESTFS
 
 mounted $TESTPOOL/$TESTFS || \
 	log_unresolved "Filesystem $TESTPOOL/$TESTFS is unmounted"
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 
 unmounted $TESTPOOL/$TESTFS1 || \
 	log_must force_unmount $TESTPOOL/$TESTFS1
@@ -96,12 +100,12 @@
 
 while [[ -n $mtpt ]] ; do
 	(( depth == MAXDEPTH )) && \
-		log_note "Verify that '$ZFS $mountcmd <filesystem>' " \
+		log_note "Verify that 'zfs $mountcmd <filesystem>' " \
 		"which mountpoint be the identical of an existing one " \
 		"will fail with return code 1."
 
-	log_must $ZFS set mountpoint=$mtpt $TESTPOOL/$TESTFS1
-	log_mustnot $ZFS $mountcmd $TESTPOOL/$TESTFS1
+	log_must zfs set mountpoint=$mtpt $TESTPOOL/$TESTFS1
+	log_mustnot zfs $mountcmd $TESTPOOL/$TESTFS1
 
 	unmounted $TESTPOOL/$TESTFS1 || \
 		log_fail "Filesystem $TESTPOOL/$TESTFS1 is mounted."
@@ -109,12 +113,12 @@
 	mtpt=${mtpt%/*}
 
 	(( depth == MAXDEPTH )) && \
-		log_note "Verify that '$ZFS $mountcmd <filesystem>' " \
+		log_note "Verify that 'zfs $mountcmd <filesystem>' " \
 		"which mountpoint be the top of an existing one " \
 		"will fail with return code 1."
 	(( depth = depth - 1 ))
 done
 
-log_pass "'$ZFS $mountcmd <filesystem>' " \
+log_pass "'zfs $mountcmd <filesystem>' " \
 	"which mountpoint be the identical or the top of an existing one " \
 	"will fail with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
 #
@@ -50,7 +54,7 @@
 function cleanup
 {
 	if ! ismounted $TESTPOOL/$TESTFS; then
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 	fi
 }
 
@@ -99,7 +103,7 @@
 		(( ind = i * 2 + 1 ))
 	fi
 
-	$ECHO ${values[$ind]}
+	echo ${values[$ind]}
 }
 
 fs=$TESTPOOL/$TESTFS
@@ -111,7 +115,7 @@
 
 	# Set filesystem property temporarily
 	reverse_opt=$(get_reverse_option $fs $property)
-	log_must $ZFS mount -o remount,$reverse_opt $fs
+	log_must zfs mount -o remount,$reverse_opt $fs
 
 	cur_val=$(get_prop $property $fs)
 	(($? != 0)) && log_fail "get_prop $property $fs"
@@ -128,8 +132,8 @@
 	fi
 
 	# unmount & mount will revert property to the original value
-	log_must $ZFS unmount $fs
-	log_must $ZFS mount $fs
+	log_must zfs unmount $fs
+	log_must zfs mount $fs
 
 	cur_val=$(get_prop $property $fs)
 	(($? != 0)) && log_fail "get_prop $property $fs"
